using Luxand;
using System.IO;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc.RazorPages;

namespace Face_Recognition.Pages
{
    public class MakeTemplateModel : PageModel
    {
        [BindProperty]
        public IFormFile Image { get; set; }

        public IActionResult OnPost()
        {
            var imagePath = Path.ChangeExtension(Path.GetTempFileName(), 
                Image.ContentType.Substring(6));
            using (var stream = new FileStream(imagePath, FileMode.Create))
            {
                Image.CopyTo(stream);
            }
            var image = new FSDK.CImage(imagePath);
            var data = image.GetFaceTemplate();
            image.Dispose();
            System.IO.File.Delete(imagePath);
            return File(data, "application/octet-stream", Path.ChangeExtension(Image.FileName, ".ftmp"));
        }
    }
}